GZIPFeature.Portable (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.transport.common.gzip

## Class GZIPFeature.Portable

- java.lang.Object
- - org.apache.cxf.transport.common.gzip.GZIPFeature.Portable

- All Implemented Interfaces:
    `AbstractPortableFeature`, `Feature`
  Enclosing class:
    GZIPFeature

      public static class GZIPFeature.Portable
      extends Object
      implements AbstractPortableFeature

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Portable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doInitializeProvider​(InterceptorProvider provider, Bus bus)` |
    `boolean` | `getForce()` | Retrieve the value set with `setForce(boolean)`.
    `int` | `getThreshold()` |
    `void` | `setForce​(boolean b)` | Set if GZIP is always used without negotiation
    `void` | `setThreshold​(int threshold)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.feature.AbstractPortableFeature

      `initialize, initialize, initialize, initialize`

- - ### Constructor Detail

    - #### Portable

          public Portable()

  - ### Method Detail

    - #### doInitializeProvider

          public void doInitializeProvider​(InterceptorProvider provider,
                                           Bus bus)

      Specified by:
        `doInitializeProvider` in interface `AbstractPortableFeature`

    - #### setThreshold

          public void setThreshold​(int threshold)

    - #### getThreshold

          public int getThreshold()

    - #### setForce

          public void setForce​(boolean b)

      Set if GZIP is always used without negotiation
      Parameters:
        `b` -

    - #### getForce

          public boolean getForce()

      Retrieve the value set with `setForce(boolean)`.